This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 460041 - Review Request: libvidcap - Cross-platform video capture library
Review Request: libvidcap - Cross-platform video capture library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 454010
  Show dependency treegraph
 
Reported: 2008-08-25 13:09 EDT by Tom "spot" Callaway
Modified: 2008-09-14 02:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-12 17:07:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2008-08-25 13:09:40 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/new/libvidcap.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/libvidcap-0.2.1-1.fc10.src.rpm
Description: 
A cross-platform library for capturing video from webcams and other video
capture devices.
Comment 1 manuel wolfshant 2008-08-25 13:31:44 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:
        rpmlint of libvidcap: empty
        rpmlint of libvidcap-devel: libvidcap-devel.x86_64: W: no-documentation
-> ignorable
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: LGPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: 2956d860981eb947bbb174b3f94bccc9de3d85ed libvidcap-0.2.1.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [x] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [x] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [x] Package requires pkgconfig, if .pc files are present.
 [x] Development .so files in -devel subpackage, if present.
 [x] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [?] Package should compile and build into binary rpms on all supported architectures.
     Tested on:
 [?] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [x] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.


=== Issues ===
1. Would be nice to preserve timestaps of header files in the -devel package.

================
*** APPROVED ***
================
Comment 2 Tom "spot" Callaway 2008-09-12 16:14:19 EDT
New Package CVS Request
=======================
Package Name: libvidcap
Short Description: Cross-platform video capture library
Owners: spot
Branches: F-8 F-9 devel
InitialCC:

... and it's done.
Comment 3 Fedora Update System 2008-09-12 17:06:51 EDT
libvidcap-0.2.1-3.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/libvidcap-0.2.1-3.fc8
Comment 4 Fedora Update System 2008-09-12 17:06:54 EDT
libvidcap-0.2.1-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/libvidcap-0.2.1-3.fc9
Comment 5 Tom "spot" Callaway 2008-09-12 17:07:05 EDT
Built for F-8, F-9, rawhide.
Comment 6 Fedora Update System 2008-09-13 01:35:50 EDT
libvidcap-0.2.1-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-09-14 02:48:00 EDT
libvidcap-0.2.1-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-09-14 02:49:49 EDT
libvidcap-0.2.1-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.